Contents
Index 🔎︎

# Chr Function

Vráti znak, ktorý zodpovedá zadanému kódu.

### Syntax:

Chr(Výraz As Integer)

### Return value:

Reťazec

### Parameters:

Expression: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value. (To support expressions with a nominally negative argument like Chr(&H8000) in a backwards-compatible way, values in the range −32768 to −1 are internally mapped to the range 32768 to 65535.)

When VBA compatibility mode is enabled (OPTION VBASUPPORT 1), Expression is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Pomocou funkcie Chr$ je možné posielať špeciálne riadiace znaky do tlačiarne alebo iného výstupného zdroja. Môžete ju tiež použiť na vloženie úvodzoviek do reťazca.

### Error codes:

5 Neplatné volanie procedúry

6 Pretečenie, when VBA compatibility mode is enabled and expression is greater than 255.

### Example:

            Sub ExampleChr
                REM Tento príklad vloží do reťazca úvodzovky (ASCII hodnota 34)
                MsgBox "A "+ Chr$(34)+"short" + Chr$(34)+" trip."
                REM Výsledok sa zobrazí ako: A "short" trip.
            End Sub

Related Topics

ASC